com.ihr.xbrl.om.renderhints

## Class RenderHints

- java.lang.Object
- - com.ihr.xbrl.om.XMLFragment
  - - com.ihr.xbrl.om.exLinks.XLinkElement
    - - com.ihr.xbrl.om.exLinks.XBRLPointerOfARelationship
      - - com.ihr.xbrl.om.exLinks.XBRLResource
        - - com.ihr.xbrl.om.renderhints.RenderHints

- All Implemented Interfaces:
    HasAdditionalEqualityForReassignation, XBRLRelationshipPoint, Thinable, XBRLValidation, XBRLValueKey, XMLHasParent, java.lang.Cloneable, javax.xml.namespace.NamespaceContext

      public class RenderHints
      extends XBRLResource

  This is the render hints resource that applies to one XBRLRoleType.
  Author:
    Ignacio

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.ihr.xbrl.om.XBRLValidation

      `XBRLValidation.Direction`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static javax.xml.namespace.QName` | `renderingHintsNode` The Constant renderingHintsNode.

    - ### Fields inherited from class com.ihr.xbrl.om.exLinks.XBRLResource

      `log, nullResource`

    - ### Fields inherited from class com.ihr.xbrl.om.exLinks.XLinkElement

      `actuate, ACTUATE, ARC, arcrole, ARCROLE, ETITLE, EXTENDED, from, FROM, href, HREF, label, LABEL, LOCATOR, RESOURCE, role, ROLE, show, SHOW, SIMPLE, title, TITLE, to, TO, TYPE`

    - ### Fields inherited from class com.ihr.xbrl.om.XMLFragment

      `CONCEPT_LABEL, CONCEPT_QNAME, EASY_TO_READ, ELEMENT_LABEL, EMPTYRELATIONSHIPSITERATORINSTANCE, EMPTYXMLFRAGMENTITERATORINSTANCE, FACT_CONCEPT_DATATYPE, FACT_CONCEPT_LABEL, FACT_QNAME, HIDE_COMMON_ACCURACY, idQName, NO_POSITION, OrderComparator, OrderComparator2, PERIOD_TYPE, PERIOD_VALUE, SHORT_TEXT, SOURCE_DOCUMENT, XPATH, XPOINTER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RenderHints(XBRLExtendedLink parent)` Constructs a new RenderHints empty resource.
    `RenderHints(XBRLExtendedLink parent, boolean bAddToParent)` Instantiates a new render hints.
    `RenderHints(XBRLExtendedLink parent, net.sf.saxon.s9api.XdmNode resNode)` Instantiates a new render hints.
    `RenderHints(XBRLResource other)` Instantiates a new render hints.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.jdom.Element` | `generateNode(boolean relativize, java.net.URI base)` Serializes to a jdom Element the representation of the properties of this Information Item This method should be called from classes derived from this class
    `int` | `getPreferredIndex(XBRLItem primaryItem, Dimension<?> dim)` Gets the preferred index.
    `int` | `getPreferredPosition(XBRLItem primaryItem, Dimension<?> dim)` Gets the preferred position.
    `javax.xml.namespace.QName` | `getPrimaryItem()` Gets the primary item.
    `int` | `getViewMode()` Gets the view mode.
    `boolean` | `isComplexType()` Checks if is complex type.
    `boolean` | `isPreferred()` Checks if is preferred.
    `void` | `setAxisDimension(java.lang.String axis, int order, javax.xml.namespace.QName name)` Sets the axis dimension.
    `void` | `setPreferred(boolean value)` Sets the preferred.
    `void` | `setPrimary(javax.xml.namespace.QName primary)` Sets the primary.
    `void` | `setViewMode(int viewMode)` Sets the view mode to a new value.

    - ### Methods inherited from class com.ihr.xbrl.om.exLinks.XBRLResource

      `addChild, clear, equals, generateLocatorToNode, getAttributes, getDTSBase, getFriendlyName, getFriendlyName, getParent, getResourceIdentifier, getRoleType, getType, getValidationReport, getValueKey, hashCode, invalidate, invalidate, isOnValidation, isSimpleType, setComplexType, setDTSBase, setId, setParent, setRole, setRoleType, setSimpleType, setValue, validate`

    - ### Methods inherited from class com.ihr.xbrl.om.exLinks.XLinkElement

      `getActuate, getArcrole, getFromTxt, getHRef, getLabel, getRole, getShow, getStaticLabel, getSType, getTitle, getToTxt, isRequiredAttribute, isValidAttribute, setActuate, setArcrole, setFrom, setHRef, setLabel, setShow, setSType, setTitle, setTo`

    - ### Methods inherited from class com.ihr.xbrl.om.XMLFragment

      `addAttribute, addFromRelationship, addNamespace, addNamespace, addToRelationship, addXMLChild, changeBase, checkBase, clone, clone, delAttribute, delAttribute, equalXdmValues, evaluateBoolean, evaluateList, evaluateNode, evaluateNumber, evaluateString, generateId, generateNodeNamespacesAndAttributes, generateNodeValue, generatePrefix, getAllAttributes, getAttribute, getAttributeBooleanValue, getAttributeQNameValue, getAttributes, getAttributeStringValue, getAttributeValue, getBase, getBase, getBaseURI, getBooleanValue, getChild, getContainer, getContainerDocumentURI, getDeclaredNamespaces, getDocument, getElements, getElementsHashCode, getFragment, getFromRelationships, getFromRelationships, getFromRelationships, getFromRelationships, getFromRelationships, getGenericLabelText, getId, getLang, getNamespaceURI, getNodeName, getNumberOfAttributes, getNumberOfElements, getNumberOfFromRelationships, getNumberOfToRelationships, getOrGenerateId, getPrefix, getPrefixes, getQNameValue, getRelationshipsBases, getRelationshipsChain, getRelationshipTypes, getStaticContext, getStaticNamespace, getStringValue, getToolTipText, getToRelationships, getToRelationships, getToRelationships, getToRelationships, getToRelationships, getValue, getXPathExecutable, getXPathNamespaceContext, getXPathToNode, getXPathToRoot, getXPointerElementScheme, getXPointerElementScheme, getXPointerShorthandScheme, getXPointerToNode, isDead, isNamespaceDefined, isXdmDocumentAttached, objEquals, objHashCode, qNameToString, removeAttribute, removeChild, removeChild, removeFromRelationship, removeToRelationship, removeXMLChild, resetElements, resetHash, resolve_equal2, resolveHRef, resolveHRef, s_equal2, s_equal2, s_equal2, setAttributes, setBase, setDocument, setDocumentAndReload, setElements, setLang, setNamespaceContext, setNamespaces, setNode, setNodeName, setParent, setRegenerateNodeIfnotFound, setValue, setVariablesDefined, size, thin, toString, valueEquals, xEqual`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.ihr.xbrl.om.exLinks.XBRLRelationshipPoint

      `addFromRelationship, addToRelationship, getFromRelationships, getToRelationships, removeFromRelationship, removeToRelationship`

- - ### Field Detail

    - #### renderingHintsNode

          public static final javax.xml.namespace.QName renderingHintsNode

      The Constant renderingHintsNode.

  - ### Constructor Detail

    - #### RenderHints

          public RenderHints(XBRLExtendedLink parent,
                     net.sf.saxon.s9api.XdmNode resNode)

      Instantiates a new render hints.
      Parameters:
        `parent` - the parent
        `resNode` - the res node

    - #### RenderHints

          public RenderHints(XBRLResource other)

      Instantiates a new render hints.
      Parameters:
        `other` - the other

    - #### RenderHints

          public RenderHints(XBRLExtendedLink parent)

      Constructs a new RenderHints empty resource. Before saving it is required to set all information programatically. Otherwise serialization will raise an XBRLSerializationException
      Parameters:
        `parent` - the generic linkbase where this resource belong to and will be serialized

    - #### RenderHints

          public RenderHints(XBRLExtendedLink parent,
                     boolean bAddToParent)

      Instantiates a new render hints.
      Parameters:
        `parent` - the parent
        `bAddToParent` - the b add to parent

  - ### Method Detail

    - #### setViewMode

          public void setViewMode(int viewMode)

      Sets the view mode to a new value. Values are constants defined in the InstanceDocumentPane class
      Parameters:
        `viewMode` - the new view mode

    - #### generateNode

          public org.jdom.Element generateNode(boolean relativize,
                                      java.net.URI base)
                                        throws XBRLSerializationException

      Description copied from class: `XMLFragment`
      Serializes to a jdom Element the representation of the properties of this Information Item This method should be called from classes derived from this class
      Overrides:
        `generateNode` in class `XBRLResource`
      Parameters:
        `relativize` - boolean indicating if URIs should be relativized to the base URI (see next argument)
        `base` - the URI to which some attributes of this object should be relativided
      Returns:
        a clone of the surrounding jdom Element so it can be incorporated into multiple trees
      Throws:
        `XBRLSerializationException` - the XBRL serialization exception

    - #### isComplexType

          public boolean isComplexType()

      Description copied from class: `XBRLResource`
      Checks if is complex type.
      Overrides:
        `isComplexType` in class `XBRLResource`
      Returns:
        boolean

    - #### getViewMode

          public int getViewMode()

      Gets the view mode.
      Returns:
        the view mode

    - #### setPreferred

          public void setPreferred(boolean value)

      Sets the preferred.
      Parameters:
        `value` - the new preferred

    - #### isPreferred

          public boolean isPreferred()

      Checks if is preferred.
      Returns:
        true, if is preferred

    - #### setPrimary

          public void setPrimary(javax.xml.namespace.QName primary)

      Sets the primary.
      Parameters:
        `primary` - the new primary

    - #### setAxisDimension

          public void setAxisDimension(java.lang.String axis,
                              int order,
                              javax.xml.namespace.QName name)

      Sets the axis dimension.
      Parameters:
        `axis` - the axis
        `order` - the order
        `name` - the name

    - #### getPreferredPosition

          public int getPreferredPosition(XBRLItem primaryItem,
                                 Dimension<?> dim)

      Gets the preferred position.
      Parameters:
        `primaryItem` - the primary item
        `dim` - the dim
      Returns:
        the preferred position

    - #### getPreferredIndex

          public int getPreferredIndex(XBRLItem primaryItem,
                              Dimension<?> dim)

      Gets the preferred index.
      Parameters:
        `primaryItem` - the primary item
        `dim` - the dim
      Returns:
        the preferred index

    - #### getPrimaryItem

          public javax.xml.namespace.QName getPrimaryItem()

      Gets the primary item.
      Returns:
        the primary item